Name:             maven-injection-plugin
Version:          1.0.2
Release:          %mkrel 1
Summary:          Bytecode injection at Maven build time
Group:            Development/Java
License:          LGPLv2+
URL:              http://www.jboss.org

# svn export http://anonsvn.jboss.org/repos/labs/labs/jbossbuild/maven-plugins/tags/maven-injection-plugin-1.0.2/
# tar cafJ maven-injection-plugin-1.0.2.tar.xz maven-injection-plugin-1.0.2
Source0:          %{name}-%{version}.tar.xz

BuildArch:        noarch

BuildRequires:    bsf
BuildRequires:    bsh2

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven

BuildRequires:    maven-compiler-plugin

BuildRequires:    maven-enforcer
BuildRequires:    maven-enforcer-plugin

BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    javassist
BuildRequires:    jboss-parent
BuildRequires:    junit

Requires:         javassist
Requires:         jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         java

%description
This package contains the The JBoss Logging Framework.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc

This package contains the API documentation for %{name}.

%prep
%setup -q

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=bsf \
  -DartifactId=bsf \
  -Dversion=2.3.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsf) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=org.beanshell \
  -DartifactId=bsh \
  -Dversion=2.0b4 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsh2/bsh) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=org.apache.maven.plugins \
  -DartifactId=maven-enforcer-plugin \
  -Dversion=1.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-enforcer/plugin) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=org.apache.maven.enforcer \
  -DartifactId=enforcer-rules \
  -Dversion=1.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-enforcer/enforcer-rules) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  -e \
  -Dmaven.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
   install javadoc:aggregate

%install
rm -fr %buildroot
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_to_maven_depmap org.jboss.maven.plugins %{name} %{version} JPP %{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Fri Aug 05 2011 dmorgan <dmorgan> 1.0.2-1.mga2
+ Revision: 131947
- Clean spec file

  + gil <gil>
    - imported package maven-injection-plugin

